
Figure - Bug #118719
【IOVDEV-33756】【内部】【VC1】【0106】【台架】【EE环境】【副屏】偶发弹窗提示“抖音没有响应”
2023-06-09 17:17 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-06-09

Priority: High Due date:

Assignee: CDTS_Test 吴诗雨 % Done: 0%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 副屏：01.00.0106.c104  中控：03.02.0088.C103

Resolution: DUPLICATE Degrated: --

Severity: Major Verified Version:

Reproducibility: Rarely Fixed Version:

Test Type: ST Root cause:

Description

【环境信息】EE环境

【问题出现时间】：20230609  15点10分（ 第296次开机）

【前提条件】：车机上电（KL30ON ，KL15 ON，已连接中控和功放，可正常输出声音）副屏已开启游戏模式，副屏已安装十多个应用

（安装的支持的27个应用）

1.副屏点击桌面的各个应用进行打开

2.打开抖音是显示了抖音界面，之后回到桌面继续打开其它应用

【实际结果】

在打开抖音之后继续打开到第6个应用“今日头条”时，弹窗提示“抖音没有响应”

【期望结果】

副屏正常打开使用抖音，无异常问题

【备注】：

车架号VIN：HRYTTESTVINMGM400

中控端log可从云端获取，

视频地址：https://ofs.human-horizons.com/#/download/index/EJrgIbD%2FqYY%3D

副屏历史日志地址：https://ofs.human-horizons.com/#/download/index/cqFkaIc5MLs%3D

【影响版本】：副屏：01.00.0106.c104  中控：03.02.0088.C103

【硬件版本号】：/

【是否能恢复】：

History

#1 - 2023-06-09 17:19 - CDTS_Test 吴诗雨

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118719

#2 - 2023-06-09 19:11 - CD FW-廖涛
https://ofs.human-horizons.com/#/download/index/EJrgIbD%2FqYY%3D
https://ofs.human-horizons.com/#/download/index/cqFkaIc5MLs%3D
ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/118719


- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#3 - 2023-06-09 19:39 - CD FW 曹覃刚

■ 我的分析

-------------------------

06-09 15:09:44.571  1550  1681 I am_meminfo: [797745152,114495488,340852736,696602624,379938816]

①内存剩余100M, 内存占用几乎拉满了

06-09 15:10:25.629  1550  5023 E ActivityManager: ANR in com.ss.android.ugc.aweme (com.ss.android.ugc.aweme/.splash.SplashActivity)

06-09 15:10:25.629  1550  5023 E ActivityManager: PID: 22490

06-09 15:10:25.629  1550  5023 E ActivityManager: Reason: Input dispatching timed out (e87fdbe

com.ss.android.ugc.aweme/com.ss.android.ugc.aweme.splash.SplashActivity (server) is not responding. Waited 5000ms for FocusEvent(hasFocus=false))

06-09 15:10:25.629  1550  5023 E ActivityManager: Parent: com.ss.android.ugc.aweme/.splash.SplashActivity

06-09 15:10:25.629  1550  5023 E ActivityManager: Frozen: false

06-09 15:10:25.629  1550  5023 E ActivityManager: Load: 35.01 / 28.59 / 13.2

06-09 15:10:25.629  1550  5023 E ActivityManager: ----- Output from /proc/pressure/memory -----

06-09 15:10:25.629  1550  5023 E ActivityManager: some avg10=13.28 avg60=9.22 avg300=7.92 total=41025350

06-09 15:10:25.629  1550  5023 E ActivityManager: full avg10=0.29 avg60=0.22 avg300=0.17 total=1985720

06-09 15:10:25.629  1550  5023 E ActivityManager: ----- End output from /proc/pressure/memory -----

06-09 15:10:25.629  1550  5023 E ActivityManager: 

06-09 15:10:25.629  1550  5023 E ActivityManager: CPU usage from 0ms to 22971ms later (2023-06-09 15:10:02.593 to 2023-06-09 15:10:25.564):

06-09 15:10:25.629  1550  5023 E ActivityManager:   90% 2691/hht_ota_mgr: 36% user + 54% kernel

06-09 15:10:25.629  1550  5023 E ActivityManager:   38% 22444/com.tencent.qqlive: 28% user + 9.8% kernel / faults: 37958 minor 40 major

06-09 15:10:25.629  1550  5023 E ActivityManager:   37% 22490/com.ss.android.ugc.aweme: 20% user + 16% kernel / faults: 104905 minor 1068 major

06-09 15:10:25.629  1550  5023 E ActivityManager:   36% 96/kswapd-1:0: 0% user + 36% kernel

06-09 15:10:25.629  1550  5023 E ActivityManager: 89% TOTAL: 41% user + 40% kernel + 0.9% iowait + 2.7% irq + 3.3% softirq

06-09 15:10:25.629  1550  5023 E ActivityManager: CPU usage from 55ms to 642ms later (2023-06-09 15:10:02.649 to 2023-06-09 15:10:03.235):

06-09 15:10:25.629  1550  5023 E ActivityManager:   94% 2691/hht_ota_mgr: 44% user + 50% kernel

06-09 15:10:25.629  1550  5023 E ActivityManager:     94% 2696/event_loop: 44% user + 50% kernel

②cpu使用率也差不多90%，负荷很高，起了很多任务

③hht_ota_mgr的cpu使用率异常

-------------------------

原因如上述3点

■ 下一步计划

1.hht_ota_mgr待客户分析结果

2.待任务数量控制功能合入，也许能改善

#4 - 2023-06-13 15:06 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CDTS_Test 吴诗雨

- Resolution changed from -- to DUPLICATE

转到JIRA上跟踪

#5 - 2023-07-10 17:13 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED
#6 - 2023-07-10 17:13 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

15点10分提示“抖音没有响应”.mp4 26.8 MB 2023-06-09 CDTS_Test 吴诗雨
